Subject: Re: [PATCH] remote.c - Make remote definition require a url

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Oct 2014 10:19:24 -0700

Mark Levedahl <[email-masked]> writes:

> Some options may be configured globally for a remote (e.g, tagopt).

Or some remotes may have only pushurl and not url.  "git remote"
output for me has a few such remotes but wouldn't this patch break
it?

If a caller that walks the list of remotes misbehaves only because
it assumes that r->url always is always valid, isn't that assumption
what needs to be fixed?  for_each_remote() should be kept as a way
to enumerate all the [remote "foo"], I would think.